
%global qt_module qtremoteobjects

%if 0%{?unstable}
%global prerelease rc2
%endif

%global examples 1

Summary: Qt6 - Qt Remote Objects
Name:    qt6-%{qt_module}
Version: 6.6.2
Release:    1%{?dist}

License: LGPL-3.0-only OR GPL-3.0-only WITH Qt-GPL-exception-1.0
Url:     http://www.qt.io
%global  majmin %(echo %{version} | cut -d. -f1-2)
%global  qt_version %(echo %{version} | cut -d~ -f1)

%if 0%{?unstable}
Source0: https://download.qt.io/development_releases/qt/%{majmin}/%{qt_version}/submodules/%{qt_module}-everywhere-src-%{qt_version}-%{prerelease}.tar.xz
%else
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-src-%{version}.tar.xz
%endif

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ninja-build
BuildRequires: qt6-rpm-macros
BuildRequires: qt6-qtbase-devel >= %{version}
BuildRequires: qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6} = %{_qt6_version}}
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: pkgconfig(xkbcommon) >= 0.5.0

%description
Qt Remote Objects (QtRO) is an inter-process communication (IPC) module developed for Qt.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: qt6-qtbase-devel
%description devel
%{summary}.

%if 0%{?examples}
%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}
%description examples
%{summary}.
%endif

%prep
%autosetup -n %{qt_module}-everywhere-src-%{qt_version}%{?unstable:-%{prerelease}} -p1


%build
%cmake_qt6 -DQT_BUILD_EXAMPLES:BOOL=%{?examples:ON}%{!?examples:OFF}

%cmake_build


%install
%cmake_install


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSES/*
%{_qt6_libexecdir}/repc
%{_qt6_libdir}/libQt6RemoteObjects.so.6*
%{_qt6_libdir}/libQt6RemoteObjectsQml.so.6*
%{_qt6_qmldir}/QtRemoteObjects/

%files devel
%{_qt6_headerdir}/QtRemoteObjects/
%{_qt6_headerdir}/QtRepParser/
%{_qt6_headerdir}/QtRemoteObjectsQml/
%{_qt6_libdir}/libQt6RemoteObjects.so
%{_qt6_libdir}/libQt6RemoteObjects.prl
%{_qt6_libdir}/libQt6RemoteObjectsQml.prl
%{_qt6_libdir}/libQt6RemoteObjectsQml.so
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtRemoteObjectsTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake
%dir %{_qt6_libdir}/cmake/Qt6RemoteObjects/
%{_qt6_libdir}/cmake/Qt6RemoteObjects/*.cmake
%dir %{_qt6_libdir}/cmake/Qt6RemoteObjectsQml
%{_qt6_libdir}/cmake/Qt6RemoteObjectsQml/*.cmake
%dir %{_qt6_libdir}/cmake/Qt6RepParser
%{_qt6_libdir}/cmake/Qt6RepParser/*.cmake
%dir %{_qt6_libdir}/cmake/Qt6RemoteObjectsTools
%{_qt6_libdir}/cmake/Qt6RemoteObjectsTools/*.cmake
%{_qt6_archdatadir}/mkspecs/features/*
%{_qt6_archdatadir}/mkspecs/modules/*
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc

%if 0%{?examples}
%files examples
%{_qt6_examplesdir}/
%endif


%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.2-1
- initial build
